# Get the difference between 2 revisions of a fault template

Get the difference between 2 revisions of a fault template in a hub

Endpoint: GET /gateway/chaos/manager/api/rest/faulttemplates/{identity}/compare
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

  - `hubIdentity` (string, required)
    reference of the hub i.e. hub ID

  - `correlationID` (string)
    correlation id is used to debug micro svc communication

  - `revision1` (string, required)
    1st revision of the fault template

  - `revision2` (string, required)
    2nd revision of the fault template

## Path parameters:

  - `identity` (string, required)
    identity of the fault

## Response 200 fields (application/json):

  - `correlationID` (string)

  - `template1` (string)

  - `template2` (string)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


